import BaseServer from '../baseServer'
export default class Server extends BaseServer {

  constructor(params) {
    super(params);
  }
  
  changeJobList(param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.baseURL}/sys/nav/switchJob?jobCode=${param.jobCode}`).then((response) => {
      resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  };

  // 切换职位
  switchPosition(param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.baseURL}/sys/nav/switchPosition?positionNum=${param.positionNbr}`).then((response) => {
      resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  };

  // 拉取管理员菜单
  getAdminMenus(param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.baseURL}/sys/admin/menus`,param).then((response) => {
      resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  };

  // 根据大类适用组织信息查询菜单
  queryMenuByCateOrg(param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAdminURL}/category/org/queryMenuByCateOrg`,param).then((response) => {
      resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  };

}