import BaseServer from '../baseServer'
export default class Server extends BaseServer {

  constructor(params) {
    super(params);
  }
  //查询付款信息
  queryPaymentInfo(param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/payRequestLinePayInfo/findListByPayRequestLineId`,param).then((response) => {
      resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  };
  //删除付款信息
  deletePaymentInfo(param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/payRequestLinePayInfo/detele/${param}`).then((response) => {
      resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  }
  //保存付款信息
  savePaymentInfo(param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/payRequestLinePayInfo/save`,param).then((response) => {
      resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  };

  //查询付款信息(创建付款准备页面查询)
  queryCreatePaymentInfo(param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/payLinePayInfo/selectPayInfoList`,param).then((response) => {
      resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  };
  //保存付款信息(创建付款准备页面查询)
  // saveCreatePaymentInfo(param) {
  //   return new Promise((resolve) => {
  //     $axios.post(`${process.env.API.emsPaymentUrl}/payment/prepare/createPayLineDetail`,param).then((response) => {
  //     resolve(response.data);
  //     }).catch((error) => {
  //       let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
  //       resolve(responseData);
  //     })
  //   })
  // };
  saveCreatePaymentInfo(param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/payLinePayInfo/save`,param).then((response) => {
      resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  };
  
  //根据值集code查询
  QueryValueSetByCode(param) {
    return new Promise((resolve) => {
      $axios.get(`${process.env.API.baseURL}/sys/valueset/item/list/${param.code}`).then((response) => {
        if(response.data.statusCode == '0') {
          let result = [];
          for (let item of response.data.dataResult) {
            result.push({ label: item.vsiValue, value: item.vsiKey });
          }
          resolve(result);
        }else {
          let responseData = { "dataResult": [], "extra": "", "msg": (response.data.msg || "服务异常，请联系管理员"), "statusCode": "-1" };
          resolve(responseData);
        }
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  }
  //付款方式值集查询
  getPaymentModes(param) {
    return new Promise((resolve) => {
      $axios.get(`${process.env.API.claimURL}/category/${param.categoryCode}/paymentModes`).then((response) => {
        let result = [];
        for (let item of response.data) {
          result.push({ label: item.vsiValue, value: item.vsiKey });
        }
        resolve(result);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  }

  //查询支付通道映射
  queryPaymentModePayWay(param) {
    return new Promise((resolve) => {
      $axios.get(`${process.env.API.claimURL}/payRequestLinePayInfo/getPaymentModePayWay`,param).then((response) => {
      resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  };
}