import Vue from 'vue'
import App from './App'
import iView from 'iview'
import 'iview/dist/styles/iview.css';
import './styles/main.css';
import router from './router'
import Vuex from 'vuex';
import './axios.config.js'
import store from './vuex/index.js'
import PageModal from './components/pageModal/index.js'
import axios from 'axios'
Vue.prototype.DownloadFile = (param = {}, vue) => {
  return new Promise((resolve) => {
    vue.$Spin.show({
      render: (h) => {
        return h('div', [
          h('Icon', {
            'class': 'demo-spin-icon-load',
            props: {
              type: 'load-c',
              size: 18
            }
          }),
          h('div', '正在努力下载附件，请稍候...')
        ])
      }
    });
    axios({
      method: param.method || 'get',//方法
      url: `${process.env.API.baseURL}${param.url}`,//地址
      responseType: 'blob',
      headers: {
        crctoken: sessionStorage.crctoken
      },
      data: param.data || {}
    }).then(response => {
      if (!response.data) {
        return
      }
      let url = window.URL.createObjectURL(new Blob([response.data]));
      let _fileName = response.headers['content-disposition'].split("=");
      let fileName = param.name || (!!_fileName && _fileName.length > 1 ? _fileName[1] : 'file');
      //兼容IE10+、edge
      if (window.URL.createObjectURL(new Blob()).indexOf(location.host) < 0) {
        if (window.navigator.msSaveOrOpenBlob) {//IE10+方法
          const blobObject = new Blob([response.data], { type: 'text/html' });
          window.navigator.msSaveOrOpenBlob(blobObject, decodeURI(fileName));
        }
        //兼容chrome、fireFox
      } else {
        let link = document.createElement('a')
        link.style.display = 'none'
        link.href = url
        link.setAttribute('download', decodeURI(fileName))
        document.body.appendChild(link)
        link.click()
      }
      vue.$Spin.hide();
      resolve({
        msg: "导出成功"
      })
    })
  })

}

Vue.prototype.$pageModal = PageModal;
Vue.config.devtools = process.env.API.devtools;
window.$channel = new Vue();

Vue.config.productionTip = false
Vue.use(iView);
Vue.use(Vuex);
window.$store = store;
/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store: store,
  components: { App },
  // template: '<App/>'
  render: h => h(App),
  created() {
    if (!!sessionStorage.crctoken) {
      $axios.defaults.headers.crctoken = sessionStorage.crctoken
    }
  },
})
